;         joypad constants
BUTTON_A		equ %10000000
BUTTON_B		equ %01000000
BUTTON_SELECT		equ %00100000
BUTTON_START		equ %00010000
BUTTON_UP		equ %00001000
BUTTON_DOWN		equ %00000100
BUTTON_LEFT		equ %00000010
BUTTON_RIGHT		equ %00000001

;         memory locations
PPU_CTRL		equ $2000
PPU_MASK		equ $2001
PPU_STATUS		equ $2002
OAM_ADDR		equ $2003
PPU_SCROLL		equ $2005
PPU_ADDR		equ $2006
PPU_DATA		equ $2007
SPR_OAM			equ $4014
PORT1			equ $4016
PORT2			equ $4017

;         other constants
SPRITENULL		equ $F8
FALSE			equ $00
TRUE			equ $01
CURSOR_TILE_START	equ $90
CURSOR_ATT		equ $00

ICCOUNT			equ $19

ROWSIZE			equ $0C
BOARDSIZE		equ 96

RLE			equ $FF	; repeat data
